Bug 1406551 - [tracker] New iSCSI TCMU-based implementation
Summary: [tracker] New iSCSI TCMU-based implementation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RBD
Version: 2.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 3.0
Assignee: Jason Dillaman
QA Contact: ceph-qe-bugs
Bara Ancincova
URL:
Whiteboard:
Depends On: 1406599 1406600 1406867 1408226 1410133 1410136 1410137 1410142 1411787 1411789
Blocks: 1494421
TreeView+ depends on / blocked
 
Reported: 2016-12-20 22:04 UTC by Federico Lucifredi
Modified: 2017-11-06 11:20 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.The iSCSI gateway is now fully supported Red Hat Ceph Storage 3.0 adds full support for the iSCSI gateway. These iSCSI initiators are supported: * Red{nbsp}Hat Enterprise Linux 7.4 * VMware ESX 6.5 * Microsoft Windows Server 2016 * Red Hat Virtualization 4.x For details, see the https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/3/html-single/block_device_guide/#using_an_iscsi_gateway[Using and iSCSI Gateway] chapter in the Block Device Guide for Red{nbsp}Hat Ceph Storage 3.
Clone Of:
Environment:
Last Closed: 2017-10-10 13:00:13 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Federico Lucifredi 2016-12-20 22:04:28 UTC
Description of problem:

Implement new user land iSCSI architecture based on blueprint at http://pad.ceph.com/p/rbd_iscsi

Comment 2 Mike Christie 2017-01-04 22:06:43 UTC
Adding 1393248 as dep. We will be able to hit that bug in 2.2 with tcmu.

Comment 5 Harish NV Rao 2017-10-10 09:24:31 UTC
can we have this bug in ON_QA as we are testing iscsi now?

Comment 6 Jason Dillaman 2017-10-10 13:00:13 UTC
All associated user-space BZs were included under RHCS 2.3. Dropping the kernel tracker BZ since those issues are still open.


Note You need to log in before you can comment on or make changes to this bug.